Bug 1274142 - k3b is unable to burn an ISO image to a DVD-RW already having data
k3b is unable to burn an ISO image to a DVD-RW already having data
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: k3b (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-22 00:53 EDT by Joachim Backes
Modified: 2017-12-12 06:11 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 06:11:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Backes 2015-10-22 00:53:29 EDT
Description of problem:

I try to burn an Fedota23 TC11 iso image to a not empty DVD: K3B tries to reformat the DVD, but this fails, and the DVD is unusable for K3B.


Version-Release number of selected component (if applicable):

k3b-2.0.3-5.fc23.x86_64

How reproducible:
always

Steps to Reproduce:
1.Drag the F23 TC11 image to the "Burn Image ..." button
2.Load the DVD and press 
3.K3B Message:
  Found DVD-RW Sequential medium in HL-DT-ST - DVDRAM GH20NS15. Should it be
  formatted?
4.Pressing "Format" button
5. Formatting preceeds to 100%
6. Result: Erasing failed

Actual results:
DVD cannot be blanked

Expected results:
Image is burned after a correct formatting

Additional info:
Using brasero blanks the DVD and burns the image properly.
Comment 1 Joachim Backes 2015-10-22 07:53:08 EDT
If I use a CD-RW instead, which has to be blanked too, K3B burns properly!
Comment 2 Joachim Backes 2015-10-22 08:12:43 EDT
If blanking the DVD separately by "wodim -v dev=/dev/sr0 blank=fast", then the image will written immediately without any flaw!
Comment 3 Kevin Kofler 2015-10-22 20:16:02 EDT
According to the debugging log, what command is K3b trying to run?
Comment 4 Joachim Backes 2015-10-23 02:14:21 EDT
Devices
-----------------------
HL-DT-ST DVDRAM GH20NS15 IL00 (/dev/sr0, CD-R, CD-RW, CD-ROM, DVD-ROM, DVD-R, DVD-RW, DVD-R DL, DVD+R, DVD+RW, DVD+R DL) [DVD-ROM, DVD-R Sequential, DVD-R Dual Layer Sequential, DVD-R Dual Layer Jump, DVD-RAM, DVD-RW Restricted Overwrite, DVD-RW Sequential, DVD+RW, DVD+R, DVD+R Dual Layer, CD-ROM, CD-R, CD-RW] [TAO, Restricted Overwrite, Layer Jump] [%7]

System
-----------------------
K3b Version: 2.0.3
KDE Version: 4.14.13
QT Version:  4.8.7
Kernel:      4.2.3-300.fc23.x86_64

This is the debugging output after "erasing failed", nothing more.
Comment 5 Joachim Backes 2015-10-23 02:59:12 EDT
After the message "erasing failed" is closed, I can burn, but if the the "success" message appears, the progress bar (top-left on screen) is not complete.

Here is the copy of the complete debugging output:

Burned media
-----------------------
DVD-RW Sequential

Devices
-----------------------
HL-DT-ST DVDRAM GH20NS15 IL00 (/dev/sr0, CD-R, CD-RW, CD-ROM, DVD-ROM, DVD-R, DVD-RW, DVD-R DL, DVD+R, DVD+RW, DVD+R DL) [DVD-ROM, DVD-R Sequential, DVD-R Dual Layer Sequential, DVD-R Dual Layer Jump, DVD-RAM, DVD-RW Restricted Overwrite, DVD-RW Sequential, DVD+RW, DVD+R, DVD+R Dual Layer, CD-ROM, CD-R, CD-RW] [TAO, Restricted Overwrite, Layer Jump] [%7]

System
-----------------------
K3b Version: 2.0.3
KDE Version: 4.14.13
QT Version:  4.8.7
Kernel:      4.2.3-300.fc23.x86_64

Used versions
-----------------------
growisofs: 7.1

growisofs
-----------------------
Executing 'builtin_dd if=/dev/fd/0 of=/dev/sr0 obs=32k seek=0'
/dev/sr0: engaging DVD-RW DAO upon user request...
/dev/sr0: reserving 218112 blocks
, warning for short DAO recording
/dev/sr0: "Current Write Speed" is 2.0x1352KBps.
          0/446693376 ( 0.0%) @0x, remaining ??:?? RBU 100.0% UBU   0.0%
=== last message repeated 11 times. ===
    3276800/446693376 ( 0.7%) @0.7x, remaining 94:43 RBU 100.0% UBU  91.2%
   12517376/446693376 ( 2.8%) @2.0x, remaining 26:00 RBU 100.0% UBU 100.0%
   21757952/446693376 ( 4.9%) @2.0x, remaining 15:56 RBU 100.0% UBU 100.0%
   30998528/446693376 ( 6.9%) @2.0x, remaining 11:37 RBU 100.0% UBU 100.0%
   40239104/446693376 ( 9.0%) @2.0x, remaining 9:15 RBU 100.0% UBU 100.0%
   49479680/446693376 (11.1%) @2.0x, remaining 7:53 RBU 100.0% UBU 100.0%
   58720256/446693376 (13.1%) @2.0x, remaining 6:49 RBU 100.0% UBU 100.0%
   67960832/446693376 (15.2%) @2.0x, remaining 6:02 RBU 100.0% UBU 100.0%
   77201408/446693376 (17.3%) @2.0x, remaining 5:30 RBU 100.0% UBU 100.0%
   86441984/446693376 (19.4%) @2.0x, remaining 5:00 RBU 100.0% UBU 100.0%
   95682560/446693376 (21.4%) @2.0x, remaining 4:35 RBU 100.0% UBU 100.0%
  104923136/446693376 (23.5%) @2.0x, remaining 4:17 RBU 100.0% UBU 100.0%
  114163712/446693376 (25.6%) @2.0x, remaining 3:58 RBU 100.0% UBU 100.0%
  123404288/446693376 (27.6%) @2.0x, remaining 3:42 RBU 100.0% UBU 100.0%
  132644864/446693376 (29.7%) @2.0x, remaining 3:30 RBU 100.0% UBU 100.0%
  141885440/446693376 (31.8%) @2.0x, remaining 3:17 RBU 100.0% UBU 100.0%
  151126016/446693376 (33.8%) @2.0x, remaining 3:05 RBU 100.0% UBU 100.0%
  160366592/446693376 (35.9%) @2.0x, remaining 2:56 RBU 100.0% UBU 100.0%
  169607168/446693376 (38.0%) @2.0x, remaining 2:46 RBU 100.0% UBU 100.0%
  178847744/446693376 (40.0%) @2.0x, remaining 2:37 RBU 100.0% UBU 100.0%
  188088320/446693376 (42.1%) @2.0x, remaining 2:29 RBU 100.0% UBU 100.0%
  197328896/446693376 (44.2%) @2.0x, remaining 2:21 RBU 100.0% UBU 100.0%
  206569472/446693376 (46.2%) @2.0x, remaining 2:13 RBU 100.0% UBU 100.0%
  215810048/446693376 (48.3%) @2.0x, remaining 2:07 RBU 100.0% UBU 100.0%
  225050624/446693376 (50.4%) @2.0x, remaining 2:00 RBU 100.0% UBU 100.0%
  234291200/446693376 (52.5%) @2.0x, remaining 1:53 RBU 100.0% UBU 100.0%
  243531776/446693376 (54.5%) @2.0x, remaining 1:47 RBU 100.0% UBU 100.0%
  252772352/446693376 (56.6%) @2.0x, remaining 1:41 RBU 100.0% UBU 100.0%
  262012928/446693376 (58.7%) @2.0x, remaining 1:35 RBU 100.0% UBU 100.0%
  271253504/446693376 (60.7%) @2.0x, remaining 1:29 RBU 100.0% UBU 100.0%
  280494080/446693376 (62.8%) @2.0x, remaining 1:24 RBU 100.0% UBU 100.0%
  289734656/446693376 (64.9%) @2.0x, remaining 1:18 RBU 100.0% UBU 100.0%
  298975232/446693376 (66.9%) @2.0x, remaining 1:13 RBU 100.0% UBU 100.0%
  308215808/446693376 (69.0%) @2.0x, remaining 1:08 RBU 100.0% UBU 100.0%
  317456384/446693376 (71.1%) @2.0x, remaining 1:03 RBU 100.0% UBU 100.0%
  326696960/446693376 (73.1%) @2.0x, remaining 0:58 RBU 100.0% UBU 100.0%
  335937536/446693376 (75.2%) @2.0x, remaining 0:53 RBU 100.0% UBU 100.0%
  345178112/446693376 (77.3%) @2.0x, remaining 0:48 RBU 100.0% UBU 100.0%
  354418688/446693376 (79.3%) @2.0x, remaining 0:44 RBU 100.0% UBU 100.0%
  363692032/446693376 (81.4%) @2.0x, remaining 0:39 RBU 100.0% UBU 100.0%
  372932608/446693376 (83.5%) @2.0x, remaining 0:34 RBU 100.0% UBU 100.0%
  382173184/446693376 (85.6%) @2.0x, remaining 0:30 RBU 100.0% UBU 100.0%
  391413760/446693376 (87.6%) @2.0x, remaining 0:25 RBU 100.0% UBU 100.0%
  400654336/446693376 (89.7%) @2.0x, remaining 0:21 RBU 100.0% UBU 100.0%
  409894912/446693376 (91.8%) @2.0x, remaining 0:16 RBU 100.0% UBU 100.0%

growisofs command:
-----------------------
/usr/bin/growisofs -Z /dev/sr0=/dev/fd/0 -use-the-force-luke=notray -use-the-force-luke=tty -use-the-force-luke=4gms -use-the-force-luke=tracksize:218112 -use-the-force-luke=dao:218112 -dvd-compat -speed=2 -use-the-force-luke=bufsize:32m
Comment 6 Fedora Admin XMLRPC Client 2016-11-22 09:28:28 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora End Of Life 2016-11-24 07:52:05 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2017-11-16 14:24:28 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2017-12-12 06:11:25 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.